#include "../headers/scstwlibraries.h"

ScStwLibraries::ScStwLibraries(QObject *parent) : QObject(parent)
{

}

void ScStwLibraries::init() {
    qmlRegisterType<ScStw>("de.itsblue.ScStw", 2, 0, "ScStw");
    qRegisterMetaType<ScStw::BaseStationSetting>("ScStw::BaseStationSetting");
    qRegisterMetaType<ScStw::SocketCommand>("ScStw::SocketCommand");

    qmlRegisterType<ScStwRace>("de.itsblue.ScStw", 2, 0, "ScStwRace");
    qmlRegisterType<ScStwTimer>("de.itsblue.ScStw", 2, 0, "ScStwTimer");
    qmlRegisterType<ScStwClient>("de.itsblue.ScStw", 2, 0, "ScStwClient");
}
